Types
Register relationship type
Register a relationship type and its metadata. Re-registering an existing type updates it in place.
POST
/
api
/
v1
/
cdp
/
relationship-types
Register relationship type
curl --request POST \
--url https://www.useboom.ai/api/v1/cdp/relationship-types \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"role": "<string>",
"customObjectType": "<string>",
"parentCustomObjectType": "<string>",
"childCustomObjectType": "<string>",
"description": "<string>",
"bidirectional": true
}
'import requests
url = "https://www.useboom.ai/api/v1/cdp/relationship-types"
payload = {
"role": "<string>",
"customObjectType": "<string>",
"parentCustomObjectType": "<string>",
"childCustomObjectType": "<string>",
"description": "<string>",
"bidirectional": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
role: '<string>',
customObjectType: '<string>',
parentCustomObjectType: '<string>',
childCustomObjectType: '<string>',
description: '<string>',
bidirectional: true
})
};
fetch('https://www.useboom.ai/api/v1/cdp/relationship-types', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://www.useboom.ai/api/v1/cdp/relationship-types",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'role' => '<string>',
'customObjectType' => '<string>',
'parentCustomObjectType' => '<string>',
'childCustomObjectType' => '<string>',
'description' => '<string>',
'bidirectional' => true
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://www.useboom.ai/api/v1/cdp/relationship-types"
payload := strings.NewReader("{\n \"role\": \"<string>\",\n \"customObjectType\": \"<string>\",\n \"parentCustomObjectType\": \"<string>\",\n \"childCustomObjectType\": \"<string>\",\n \"description\": \"<string>\",\n \"bidirectional\": true\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://www.useboom.ai/api/v1/cdp/relationship-types")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"role\": \"<string>\",\n \"customObjectType\": \"<string>\",\n \"parentCustomObjectType\": \"<string>\",\n \"childCustomObjectType\": \"<string>\",\n \"description\": \"<string>\",\n \"bidirectional\": true\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://www.useboom.ai/api/v1/cdp/relationship-types")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"role\": \"<string>\",\n \"customObjectType\": \"<string>\",\n \"parentCustomObjectType\": \"<string>\",\n \"childCustomObjectType\": \"<string>\",\n \"description\": \"<string>\",\n \"bidirectional\": true\n}"
response = http.request(request)
puts response.read_body{
"kind": "person_to_co",
"customObjectType": "<string>",
"relationshipTypeId": "<string>",
"role": "<string>",
"cardinality": "ONE_TO_ONE",
"description": "<string>",
"bidirectional": true,
"created": true
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}Authorizations
Body
application/json
Response
Success
- Option 1
- Option 2
Was this page helpful?
⌘I
Register relationship type
curl --request POST \
--url https://www.useboom.ai/api/v1/cdp/relationship-types \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"role": "<string>",
"customObjectType": "<string>",
"parentCustomObjectType": "<string>",
"childCustomObjectType": "<string>",
"description": "<string>",
"bidirectional": true
}
'import requests
url = "https://www.useboom.ai/api/v1/cdp/relationship-types"
payload = {
"role": "<string>",
"customObjectType": "<string>",
"parentCustomObjectType": "<string>",
"childCustomObjectType": "<string>",
"description": "<string>",
"bidirectional": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
role: '<string>',
customObjectType: '<string>',
parentCustomObjectType: '<string>',
childCustomObjectType: '<string>',
description: '<string>',
bidirectional: true
})
};
fetch('https://www.useboom.ai/api/v1/cdp/relationship-types', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://www.useboom.ai/api/v1/cdp/relationship-types",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'role' => '<string>',
'customObjectType' => '<string>',
'parentCustomObjectType' => '<string>',
'childCustomObjectType' => '<string>',
'description' => '<string>',
'bidirectional' => true
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://www.useboom.ai/api/v1/cdp/relationship-types"
payload := strings.NewReader("{\n \"role\": \"<string>\",\n \"customObjectType\": \"<string>\",\n \"parentCustomObjectType\": \"<string>\",\n \"childCustomObjectType\": \"<string>\",\n \"description\": \"<string>\",\n \"bidirectional\": true\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://www.useboom.ai/api/v1/cdp/relationship-types")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"role\": \"<string>\",\n \"customObjectType\": \"<string>\",\n \"parentCustomObjectType\": \"<string>\",\n \"childCustomObjectType\": \"<string>\",\n \"description\": \"<string>\",\n \"bidirectional\": true\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://www.useboom.ai/api/v1/cdp/relationship-types")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"role\": \"<string>\",\n \"customObjectType\": \"<string>\",\n \"parentCustomObjectType\": \"<string>\",\n \"childCustomObjectType\": \"<string>\",\n \"description\": \"<string>\",\n \"bidirectional\": true\n}"
response = http.request(request)
puts response.read_body{
"kind": "person_to_co",
"customObjectType": "<string>",
"relationshipTypeId": "<string>",
"role": "<string>",
"cardinality": "ONE_TO_ONE",
"description": "<string>",
"bidirectional": true,
"created": true
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}